package com.yunzhi.niucai.service.impl;

import com.yunzhi.niucai.entity.TaCustomerBettingItem;
import com.yunzhi.niucai.entity.TaMatch;
import com.yunzhi.niucai.mapper.TaCustomerBettingItemMapper;
import com.yunzhi.niucai.service.ITaCustomerBettingItemService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 客户投注明细  服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-09-14
 */
@Service
public class TaCustomerBettingItemServiceImpl extends ServiceImpl<TaCustomerBettingItemMapper, TaCustomerBettingItem> implements ITaCustomerBettingItemService {

    @Autowired
    TaCustomerBettingItemMapper taCustomerBettingItemMapper;

    @Override
    public List<TaCustomerBettingItem> getUnDealItems(TaMatch taMatch) throws Exception {
        return taCustomerBettingItemMapper.getUnDealItems(taMatch.getMatchId());
    }
}
